/* ==========================================
   GENERAL STYLES (Applies to all devices)
   ========================================== */

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

nav ul{
    width
    list-style: none;
    display: flex;
    flex-direction: row;
    gap: 30px;
    padding: 20px 0;
    margin-left:30px;   
    margin-bottom:30px;
}

.row{
    display:flex;
    flex-flow: row wrap;
}

.gap{
    column-gap: 5px;
    row-gap: 5px;
}

/*home page*/

.box1{
    background-color: purple;
    height:100px;
    
}

.box2{
    background-color:darkblue;
    height:100px;
}

.box3{
    background-color: lightskyblue;
    height:100px;;
}

.box4{
    background-color:darkgreen;
    height:100px;
}

.box5{
    background-color:lightgreen;
    height:100px;
}

.box6{
    background-color: yellowgreen;
    height:100px;
}

.box7{
    background-color:yellow;
    height:100px;
}

.box8{
    background-color: orange;
    height:100px;
}

.box9{
    background-color: red;
    height:100px;
}

.box10{
    background-color: mediumvioletred;height:100px;
}

.col-1{
    width: 8.33%;
}
 
.col-2{
    width: 16.66%;
}
 
.col-3{
    width: 25%;
}
 
.col-4{
    width: 33.33%;
}
 
.col-5{
    width: 41.66%;
}
 
.col-6{
    width: 50%;
}
 
.col-7{
    width: 58.33%;
}
 
.col-8{
    width: 66.66%;
}
 
.col-9{
    width: 75%;
}
 
.col-10{
    width: 83.33%;
}
 
.col-11{
    width: 91.66%;
}
 
.col-12{
    width: 100%;
}

/*home page, end*/

/*page2*/

.row{
    display:flex;
    flex-flow: row wrap;
}

.pbox1{
    background-color: purple;
    height:100px;
    
}

.pbox2{
    background-color:darkblue;
    height:100px;
}

.pbox3{
    background-color: lightskyblue;
    height:100px;;
}

.pbox4{
    background-color:darkgreen;
    height:100px;
}

.pbox5{
    background-color:lightgreen;
    height:100px;
}

.pbox6{
    background-color: yellowgreen;
    height:100px;
}

.pbox7{
    background-color:yellow;
    height:100px;
}

.pbox8{
    background-color: orange;
    height:100px;
}

.pbox9{
    background-color: red;
    height:100px;
}

.pbox10{
    background-color: mediumvioletred;height:100px;
}
/*page2,end*/

 
/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {

/*home page*/
.row{
    display:flex;
    flex-flow: row wrap;
}

.gap{
    column-gap: 5px;
    row-gap: 5px;
}

.box1{
    background-color: purple;
    height:100px;
}

.box2{
    background-color:darkblue;
    height:100px;
}

.box3{
    background-color: lightskyblue;
    height:100px;;
}

.box4{
    background-color:darkgreen;
    height:100px;
}

.box5{
    background-color:lightgreen;
    height:100px;
}

.box6{
    background-color: yellowgreen;
    height:100px;
}

.box7{
    background-color:yellow;
    height:100px;
}

.box8{
    background-color: orange;
    height:100px;
}

.box9{
    background-color: red;
    height:100px;
}

.box10{
    background-color: mediumvioletred;height:100px;
}

/*homepage,end*/

/*page2*/
.row{
    display:flex;
    flex-flow: row wrap;
}

.pbox1{
    background-color: purple;
    height:100px;
    
}

.pbox2{
    background-color:darkblue;
    height:100px;
}

.pbox3{
    background-color: lightskyblue;
    height:100px;
}

.pbox4{
    background-color:darkgreen;
    height:100px;
}

.pbox5{
    background-color:lightgreen;
    height:100px;
}

.pbox6{
    background-color: yellowgreen;
    height:100px;
}

.pbox7{
    background-color:yellow;
    height:100px;
}

.pbox8{
    background-color: orange;
    height:100px;
}

.pbox9{
    background-color: red;
    height:100px;
}

.pbox10{
    background-color: mediumvioletred;height:100px;
}
/*page2,end*/


   
}
 
/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
/*homepage*/
.row{
    display:flex;
    flex-flow: row wrap;
}

.box1{
    background-color: purple;
    height:100px;
}

.box2{
    background-color:darkblue;
    height:100px;
}

.box3{
    background-color: lightskyblue;
    height:100px;;
}

.box4{
    background-color:darkgreen;
    height:100px;
}

.box5{
    background-color:lightgreen;
    height:100px;
}

.box6{
    background-color: yellowgreen;
    height:100px;
}

.box7{
    background-color:yellow;
    height:100px;
}

.box8{
    background-color: orange;
    height:100px;
}

.box9{
    background-color: red;
    height:100px;
}

.box10{
    background-color: mediumvioletred;height:100px;
}

/*homepage,end*/

/*page2*/

.row{
    display:flex;
    flex-flow: row wrap;
}

.pbox1{
    background-color: purple;
    height:100px; 
}

.pbox2{
    background-color:darkblue;
    height:100px;
}

.pbox3{
    background-color: lightskyblue;
    height:100px;;
}

.pbox4{
    background-color:darkgreen;
    height:100px;
}

.pbox5{
    background-color:lightgreen;
    height:100px;
}

.pbox6{
    background-color: yellowgreen;
    height:100px;
}

.pbox7{
    background-color:yellow;
    height:100px;
}

.pbox8{
    background-color: orange;
    height:100px;
}

.pbox9{
    background-color: red;
    height:100px;
}

.pbox10{
    background-color: mediumvioletred;height:100px;
}

/*page2,end*/

}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {

.col-md-1{
    width: 8.33%;
}
 
.col-md-2{
    width: 16.66%;
}
 
.col-md-3{
    width: 25%;
}
 
.col-md-4{
    width: 33.33%;
}
 
.col-md-5{
    width: 41.66%;
}
 
.col-md-6{
    width: 50%;
}
 
.col-md-7{
    width: 58.33%;
}
 
.col-md-8{
    width: 66.66%;
}
 
.col-md-9{
    width: 75%;
}
 
.col-md-10{
    width: 83.33%;
}
 
.col-md-11{
    width: 91.66%;
}
 
.col-md-12{
    width: 100%;
} 
/*homepage*/
.row{
    display:flex;
    flex-flow: row wrap;
    gap:0px;
}

/* .gap{
    column-gap: 5px;
    row-gap: 5px;
} */

.box1{
    background-color: purple;
    height:200px;
}

.box2{
    background-color:darkblue;
    height:100px;
}

.box3{
    background-color: lightskyblue;
    height:100px;;
}

.box4{
    background-color:darkgreen;
    height:100px;
}

.box5{
    background-color:lightgreen;
    height:200px;
}

.box6{
    background-color: yellowgreen;
    height:100px;
}

.box7{
    background-color:yellow;
    height:100px;
}

.box8{
    background-color: orange;
    height:100px;
}

.box9{
    background-color: red;
    height:100px;
}

.box10{
    background-color: mediumvioletred;height:200px;
}

.box{
    flex:1;
}

.rightside{
    display:flex;
    flex-direction: column;
}
/*homepage,end*/

/*page2*/

.row{
    display:flex;
    flex-flow: row wrap;
    gap:0px;
}
   
.pbox1{
    background-color: purple;
    height:150px;
}

.pbox2{
    background-color:darkblue;
    height:150px;
}

.pbox3{
    background-color: lightskyblue;
    height:150px;
}

.pbox4{
    background-color:darkgreen;
    height:150px;
}

.pbox5{
    background-color:lightgreen;
    height:150px;
}

.pbox6{
    background-color: yellowgreen;
    height:150px;
}

.pbox7{
    background-color:yellow;
    height:150px;
}

.pbox8{
    background-color: orange;
    height:150px;
}

.pbox9{
    background-color: red;
    height:150px;
}

.pbox10{
    background-color: mediumvioletred;height:150px;
    
}

/*page,end*/


}
 
/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
 
.col-lg-1{
    width: 8.33%;
}
 
.col-lg-2{
    width: 16.66%;
}
 
.col-lg-3{
    width: 25%;
}
 
.col-lg-4{
    width: 33.33%;
}
 
.col-lg-5{
    width: 41.66%;
}
 
.col-lg-6{
    width: 50%;
}
 
.col-lg-7{
    width: 58.33%;
}
 
.col-lg-8{
    width: 66.66%;
}
 
.col-lg-9{
    width: 75%;
}
 
.col-lg-10{
    width: 83.33%;
}
 
.col-lg-11{
    width: 91.66%;
}
 
.col-lg-12{
    width: 100%;
}  
/*homepage*/
.box1{
    background-color: purple;
    height:100px;
}

.box2{
    background-color:darkblue;
    height:100px;
}

.box3{
    background-color: lightskyblue;
    height:100px;;
}

.box4{
    background-color:darkgreen;
    height:100px;
}

.box5{
    background-color:lightgreen;
    height:100px;
}

.box6{
    background-color: yellowgreen;
    height:100px;
}

.box7{
    background-color:yellow;
    height:100px;
}

.box8{
    background-color: orange;
    height:100px;
}

.box9{
    background-color: red;
    height:300px;
}

.box10{
    background-color: mediumvioletred;height:100px;
}

.box{
    flex:1;
}

.rightside{
    display:flex;
    flex-direction: row;
}


/*home page, end*/


/*page2*/

.pbox1{
    background-color: purple;
    height:150px;
    width:100%;
    grid-column: 1;
    grid-row: 1;  
}

.pbox2{
    background-color:darkblue;
    height:150px;
    width:100%;
    grid-column: 1;
    grid-row: 2;
    margin-top:-50px;
   
}

.pbox3{
    background-color: lightskyblue;
    height:150px;
    width:100%;
    grid-column: 1;
    grid-row: 3;
    margin-top:-150px;
}

.pbox4{
    background-color:darkgreen;
    height:150px; 
    width:100%;
    grid-column: 1;
    grid-row: 4;
    margin-top:-150px;  
}

.pbox5{
    background-color:lightgreen;
    height:200px;
    width:100%;
    grid-column: 2;
    grid-row: 1;
}

.pbox6{
    background-color: yellowgreen;
    height:200px;
    width:100%;
    grid-column: 2;
    grid-row: 2;
}

.pbox7{
    background-color:yellow;
    height:200px;
    width:100%;
    grid-column: 2;
    grid-row: 3;  
    margin-top:-50px; 
}

.pbox8{
    background-color: orange;
    height:150px;
    width:100%;
    grid-column: 3;
    grid-row: 1;
}

.pbox9{
    background-color: red;
    height:300px;
    width:100%;
    grid-column: 3;
    grid-row: 2;
    margin-top:-50px;
}

.pbox10{
    background-color: mediumvioletred;height:150px;
    width:100%;
    grid-column: 3;
    grid-row: 3;  
}

.row{
    display:grid;
    grid-template-columns: repeat(3,1fr);
    gap:0px;  
}

/*page2, end*/
}
 
/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
 
.col-xl-1{
    width: 8.33%;
}
 
.col-xl-2{
    width: 16.66%;
}
 
.col-xl-3{
    width: 25%;
}
 
.col-xl-4{
    width: 33.33%;
}
 
.col-xl-5{
    width: 41.66%;
}
 
.col-xl-6{
    width: 50%;
}
 
.col-xl-7{
    width: 58.33%;
}
 
.col-xl-8{
    width: 66.66%;
}
 
.col-xl-9{
    width: 75%;
}
 
.col-xl-10{
    width: 83.33%;
}
 
.col-xl-11{
    width: 91.66%;
}
 
.col-xl-12{
    width: 100%;
}    
 
}

